Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

List Claims

Request

Retrieves a list of Claims. A filter can be applied (for example, to retrieve a particular Claim with the specified name).


Required PermissionRoles with the Required Permission
CLAIM_FETCHInvestigate for Support (SUPPORT), Administer Plasma (PLASMA), Manage Claims (CLM_CLAIMMANAGER), Use Claims (CLM_CLAIM)
Security
basic or X-PriceFx-jwt
Bodyapplication/json
endRownumber

The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.

Default 300
oldValuesany
operationTypestringnon-empty
startRownumber

The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.

textMatchStylestringnon-empty
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/CL \
  -H 'Content-Type: application/json' \
  -d '{
    "operationType": "fetch",
    "textMatchStyle": "exact",
    "data": {
      "fieldName": "uniqueName",
      "operator": "equals",
      "value": "CL-24",
      "_constructor": "AdvancedCriteria"
    },
    "oldValues": null
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "status": 0, "startRow": 0, "node": "pricefx-cluster-app-frontend-7f9df79f47-5pp4l", "data": [], "endRow": 1 } }

Update a Claim

Request

Updates the Claim object.

Security
basic or X-PriceFx-jwt
Bodyapplication/json
operationTypestringrequired
textMatchStylestring
dataobject
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/update/CL \
  -H 'Content-Type: application/json' \
  -d '{
    "operationType": "update",
    "textMatchStyle": "exact",
    "data": {
      "typedId": "24.CL",
      "version": 7,
      "fileHandle": "1140.BD@0",
      "fileName": "DataExport-1664881422978_CLAIMS.xlsx"
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-7b54f8ddf6-hwfnn", "data": [], "status": 0 } }

Calculate a Claim

Request

Calculates a Claim (runs the validation logic on all items. Creates a calculation job (JST). It does not read the data from the uploaded Excel file again but works with the (potentially edited) data that are already loaded in the system.

You can also send items within the request body (no Excel file needed) – see the request example (calculateClaimRequestExample) for the request body structure.

Security
basic or X-PriceFx-jwt
Path
typedIdstringrequired

The typedId of the claim whose items you want to calculate.

Example: 24.CL
Bodyapplication/json
dataobject
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/claimmanager.calculate/24.CL \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "columnNames": [
        "ProductID",
        "EndCustomerID",
        "ClaimQuantity",
        "TotalClaimAmount",
        "QuoteID",
        "QuoteValidFrom",
        "QuoteValidTo",
        "QuoteDiscountPerItemPercent",
        "InvoicePricePerItem",
        "NetPricePerItem",
        "DiscountPerItemAmount"
      ],
      "data": [
        {
          "ProductID": "CLPRD-3",
          "EndCustomerID": "EndCustomer1",
          "ClaimQuantity": "2",
          "TotalClaimAmount": "23",
          "QuoteID": "P-2147483919",
          "QuoteValidFrom": "2022-10-13",
          "QuoteValidTo": "2023-04-25",
          "QuoteDiscountPerItemPercent": "5",
          "InvoicePricePerItem": "100",
          "NetPricePerItem": "95",
          "DiscountPerItemAmount": "5"
        }
      ]
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "node", "data": [], "status": 0 } }

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas